Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class DataFormat

    java.lang.Object
      jet.report.xls.DataFormat

    public class DataFormat

extends java.lang.Object

Utility to identify builin formats. The following is a list of the formats as returned by this class.

0, "General"

1, "0"

2, "0.00"

3, "#,##0"

4, "#,##0.00"

5, "($#,##0_);($#,##0)"

6, "($#,##0_);[Red]($#,##0)"

7, "($#,##0.00);($#,##0.00)"

8, "($#,##0.00_);[Red]($#,##0.00)"

9, "0%"

0xa, "0.00%"

0xb, "0.00E+00"

0xc, "# ?/?"

0xd, "# ??/??"

0xe, "m/d/yy"

0xf, "d-mmm-yy"

0x10, "d-mmm"

0x11, "mmm-yy"

0x12, "h:mm AM/PM"

0x13, "h:mm:ss AM/PM"

0x14, "h:mm"

0x15, "h:mm:ss"

0x16, "m/d/yy h:mm"

// 0x17 - 0x24 reserved for international and undocumented 0x25, "(#,##0_);(#,##0)"

0x26, "(#,##0_);[Red](#,##0)"

0x27, "(#,##0.00_);(#,##0.00)"

0x28, "(#,##0.00_);[Red](#,##0.00)"

0x29, "_(*#,##0_);_(*(#,##0);_(* \"-\"_);_(@_)"

0x2a, "_($*#,##0_);_($*(#,##0);_($* \"-\"_);_(@_)"

0x2b, "_(*#,##0.00_);_(*(#,##0.00);_(*\"-\"??_);_(@_)"

0x2c, "_($*#,##0.00_);_($*(#,##0.00);_($*\"-\"??_);_(@_)"

0x2d, "mm:ss"

0x2e, "[h]:mm:ss"

0x2f, "mm:ss.0"

0x30, "##0.0E+0"

0x31, "@"

Constructor Summary
`DataFormat()`

Method Summary
`static java.lang.String` | `getFormat(short index)` get the format string that matches the given format index
`static short` | `getFormat(java.lang.String format)` get the format index that matches the given format string
`static java.util.List` | `getFormats()`
`static int` | `getNumberOfBuiltinFormats()` get the number of builtin and reserved formats

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFormat

    public DataFormat()

Method Detail

### getFormats

    public static java.util.List getFormats()

### getFormat

    public static short getFormat(java.lang.String format)

  get the format index that matches the given format string

  Parameters:
    `format` - string matching a built in format
  Returns:
    index of format or -1 if undefined.

### getFormat

    public static java.lang.String getFormat(short index)

  get the format string that matches the given format index

  Parameters:
    `index` - of a built in format
  Returns:
    string represented at index of format or null if there is not a builtin format at that index

### getNumberOfBuiltinFormats

    public static int getNumberOfBuiltinFormats()

  get the number of builtin and reserved formats

  Returns:
    number of builtin and reserved formats

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD